<?php
/**
 * The function php file contain all theme-based customisation and functions
 * including several hooks used within the theme
 *
 * @package    productive-ecommerce
 */

require PRODUCTIVE_ECOMMERCE_THEME_BASE_PATH . '/includes/social-icons.php';

// START ============== Productive_Theme_Customiser_Header CUSTOMISERS
/**
 * Method productive_ecommerce_enable_header_search.
 *
 * @param string $class ''.
 */
function productive_ecommerce_enable_header_search( $class = '' ) {
    return get_theme_mod( 'productive_ecommerce_enable_header_search', true );
}
add_action( 'display_productive_ecommerce_enable_header_search', 'productive_ecommerce_enable_header_search' );

/**
 * Method productive_ecommerce_enable_header_account.
 *
 * @param string $class ''.
 */
function productive_ecommerce_enable_header_account( $class = '' ) {
    return get_theme_mod( 'productive_ecommerce_enable_header_account', true );
}
add_action( 'display_productive_ecommerce_enable_header_account', 'productive_ecommerce_enable_header_account' );

/**
 * Method productive_ecommerce_header_style.
 *
 * @param string $class ''.
 */

function productive_ecommerce_header_style( $class = '' ) {
    $default_value = PRODUCTIVE_ECOMMERCE_CURRENT_THEME_TEXT_DOMAIN;
    $theme_mod_value = get_theme_mod( 'productive_ecommerce_header_style', PRODUCTIVE_ECOMMERCE_CURRENT_THEME_TEXT_DOMAIN );
    if ( !$theme_mod_value ) {
        // 
    } else {
        $default_value = $theme_mod_value;
    }
    
    return $default_value;
}
add_action( 'display_productive_ecommerce_header_style', 'productive_ecommerce_header_style' );


// START ============== Productive_Theme_Customiser_Homepage_Banner CUSTOMISERS
/**
 * Method productive_ecommerce_homepage_usp_image.
 *
 * @param string $class ''.
 */
function productive_ecommerce_homepage_usp_image( $class = '' ) {
    return get_theme_mod( 'productive_ecommerce_homepage_usp_image', false );
}
add_action( 'display_productive_ecommerce_homepage_usp_image', 'productive_ecommerce_homepage_usp_image' );

/**
 * Method productive_ecommerce_is_homepage_usp_scroll.
 *
 * @param string $class ''.
 */
function productive_ecommerce_is_homepage_usp_scroll( $class = '' ) {
    return get_theme_mod( 'productive_ecommerce_is_homepage_usp_scroll', true );
}
add_action( 'display_productive_ecommerce_is_homepage_usp_scroll', 'productive_ecommerce_is_homepage_usp_scroll' );

/**
 * Method productive_ecommerce_homepage_usp_textarea_1.
 *
 * @param string $class ''.
 */
function productive_ecommerce_homepage_usp_textarea_1( $class = '' ) {
    $blog_name = get_bloginfo( 'name' );
    $theme_mod_value = get_theme_mod( 'productive_ecommerce_homepage_usp_textarea_1', $blog_name );
    echo '<div class="productive_ecommerce_hero_container_content_text top">' .
        wp_specialchars_decode(stripslashes($theme_mod_value) ) . 
        '</div>';
}
add_action( 'display_productive_ecommerce_homepage_usp_textarea_1', 'productive_ecommerce_homepage_usp_textarea_1' );

/**
 * Method productive_ecommerce_homepage_usp_textarea_1_color.
 *
 * @param string $class ''.
 */
function productive_ecommerce_homepage_usp_textarea_1_color( $class = '' ) {
    return get_theme_mod( 'productive_ecommerce_homepage_usp_textarea_1_color', '#ffffff' );
}
add_action( 'display_productive_ecommerce_homepage_usp_textarea_1_color', 'productive_ecommerce_homepage_usp_textarea_1_color' );

/**
 * Method productive_ecommerce_homepage_usp_textarea_2.
 *
 * @param string $class ''.
 */
function productive_ecommerce_homepage_usp_textarea_2( $class = '' ) {
    $blog_desc = get_bloginfo( 'description' );
    $theme_mod_value = get_theme_mod( 'productive_ecommerce_homepage_usp_textarea_2', $blog_desc );
    echo '<div class="productive_ecommerce_hero_container_content_text bottom">' .
        wp_specialchars_decode(stripslashes($theme_mod_value) ) . 
        '</div>';
}
add_action( 'display_productive_ecommerce_homepage_usp_textarea_2', 'productive_ecommerce_homepage_usp_textarea_2' );

/**
 * Method productive_ecommerce_homepage_usp_textarea_2_color.
 *
 * @param string $class ''.
 */
function productive_ecommerce_homepage_usp_textarea_2_color( $class = '' ) {
    return get_theme_mod( 'productive_ecommerce_homepage_usp_textarea_2_color', '#eded12' );
}
add_action( 'display_productive_ecommerce_homepage_usp_textarea_2_color', 'productive_ecommerce_homepage_usp_textarea_2_color' );

/**
 * Method productive_ecommerce_homepage_cta_1_title.
 *
 * @param string $class ''.
 */
function productive_ecommerce_homepage_cta_1_title( $class = '' ) {
    $theme_mod_value = get_theme_mod( 'productive_ecommerce_homepage_cta_1_title', '' );
    $cta_url = productive_ecommerce_homepage_cta_1_url();
    if ( $theme_mod_value != '' && $cta_url != '' ) {
        echo '<a class="' . $class. '" href="'. $cta_url .'">' .
            wp_specialchars_decode(stripslashes($theme_mod_value) ) .
            '</a>';
    }
} 
add_action( 'display_productive_ecommerce_homepage_cta_1_title', 'productive_ecommerce_homepage_cta_1_title' );

/**
 * Method productive_ecommerce_homepage_cta_1_url.
 *
 * @param string $class ''.
 */
function productive_ecommerce_homepage_cta_1_url( $class = '' ) {
    // text html
    $theme_mod_value = get_theme_mod( 'productive_ecommerce_homepage_cta_1_url', '' );
    return wp_specialchars_decode( esc_url( $theme_mod_value ) );
}
add_action( 'display_productive_ecommerce_homepage_cta_1_url', 'productive_ecommerce_homepage_cta_1_url' );

/**
 * Method productive_ecommerce_homepage_cta_1_text_color.
 *
 * @param string $class ''.
 */
function productive_ecommerce_homepage_cta_1_text_color( $class = '' ) {
    return get_theme_mod( 'productive_ecommerce_homepage_cta_1_text_color', '#ffffff' );
}
add_action( 'display_productive_ecommerce_homepage_cta_1_text_color', 'productive_ecommerce_homepage_cta_1_text_color' );

/**
 * Method productive_ecommerce_homepage_cta_1_bg_color.
 *
 * @param string $class ''.
 */
function productive_ecommerce_homepage_cta_1_bg_color( $class = '' ) {
    return get_theme_mod( 'productive_ecommerce_homepage_cta_1_bg_color', '#fc0082' );
}
add_action( 'display_productive_ecommerce_homepage_cta_1_bg_color', 'productive_ecommerce_homepage_cta_1_bg_color' );

/**
 * Method productive_ecommerce_homepage_cta_2_title.
 *
 * @param string $class ''.
 */
function productive_ecommerce_homepage_cta_2_title( $class = '' ) {
    $theme_mod_value = get_theme_mod( 'productive_ecommerce_homepage_cta_2_title', '' );
    $cta_url = productive_ecommerce_homepage_cta_2_url();
    if ( $theme_mod_value != '' && $cta_url != '' ) {
        echo '<a class="' . $class. '" href="'. $cta_url .'">' .
            wp_specialchars_decode(stripslashes($theme_mod_value) ) .
            '</a>';
    }
} 
add_action( 'display_productive_ecommerce_homepage_cta_2_title', 'productive_ecommerce_homepage_cta_2_title' );

/**
 * Method productive_ecommerce_homepage_cta_2_url.
 *
 * @param string $class ''.
 */
function productive_ecommerce_homepage_cta_2_url( $class = '' ) {
    $theme_mod_value = get_theme_mod( 'productive_ecommerce_homepage_cta_2_url', '' );
    return wp_specialchars_decode( esc_url( $theme_mod_value ) );
}
add_action( 'display_productive_ecommerce_homepage_cta_2_url', 'productive_ecommerce_homepage_cta_2_url' );

/**
 * Method productive_ecommerce_homepage_cta_2_text_color.
 *
 * @param string $class ''.
 */
function productive_ecommerce_homepage_cta_2_text_color( $class = '' ) {
    return get_theme_mod( 'productive_ecommerce_homepage_cta_2_text_color', '#ffffff' );
}
add_action( 'display_productive_ecommerce_homepage_cta_2_text_color', 'productive_ecommerce_homepage_cta_2_text_color' );

/**
 * Method productive_ecommerce_homepage_cta_2_bg_color.
 *
 * @param string $class ''.
 */
function productive_ecommerce_homepage_cta_2_bg_color( $class = '' ) {
    return get_theme_mod( 'productive_ecommerce_homepage_cta_2_bg_color', '#0239ef' );
}
add_action( 'display_productive_ecommerce_homepage_cta_2_bg_color', 'productive_ecommerce_homepage_cta_2_bg_color' );




// START ============== Productive_Theme_Customiser_Homepage_Blog CUSTOMISERS
/**
 * Method productive_ecommerce_show_homepage_blog_excerpts.
 *
 * @param string $class ''.
 */
function productive_ecommerce_show_homepage_blog_excerpts( $class = '' ) {
    return get_theme_mod( 'productive_ecommerce_show_homepage_blog_excerpts', true );
}
add_action( 'display_productive_ecommerce_show_homepage_blog_excerpts', 'productive_ecommerce_show_homepage_blog_excerpts' );

/**
 * Method productive_ecommerce_homepage_blog_heading.
 *
 * @param string $class ''.
 */
function productive_ecommerce_homepage_blog_heading( $class = '' ) {
    return get_theme_mod( 'productive_ecommerce_homepage_blog_heading', 'Latest Blog' );
}
add_action( 'display_productive_ecommerce_homepage_blog_heading', 'productive_ecommerce_homepage_blog_heading' );




// START ============== Productive_Theme_Customiser_Commerce CUSTOMISERS
/**
 * Method productive_ecommerce_enable_header_cart.
 *
 * @param string $class ''.
 */
function productive_ecommerce_enable_header_cart( $class = '' ) {
    return get_theme_mod( 'productive_ecommerce_enable_header_cart', true );
}
add_action( 'display_productive_ecommerce_enable_header_cart', 'productive_ecommerce_enable_header_cart' );

/**
 * Method productive_ecommerce_enable_header_wishlist.
 *
 * @param string $class ''.
 */
function productive_ecommerce_enable_header_wishlist( $class = '' ) {
    return get_theme_mod( 'productive_ecommerce_enable_header_wishlist', false );
}
add_action( 'display_productive_ecommerce_enable_header_wishlist', 'productive_ecommerce_enable_header_wishlist' );

/**
 * Method productive_ecommerce_enable_header_compare.
 *
 * @param string $class ''.
 */
function productive_ecommerce_enable_header_compare( $class = '' ) {
    return get_theme_mod( 'productive_ecommerce_enable_header_compare', false );
}
add_action( 'display_productive_ecommerce_enable_header_compare', 'productive_ecommerce_enable_header_compare' );

/**
 * Method productive_ecommerce_enable_switch_currency.
 *
 * @param string $class ''.
 */
function productive_ecommerce_enable_switch_currency( $class = '' ) {
    return get_theme_mod( 'productive_ecommerce_enable_switch_currency', false );
}
add_action( 'display_productive_ecommerce_enable_switch_currency', 'productive_ecommerce_enable_switch_currency' );

/**
 * Method productive_ecommerce_enable_switch_language.
 *
 * @param string $class ''.
 */
function productive_ecommerce_enable_switch_language( $class = '' ) {
    return get_theme_mod( 'productive_ecommerce_enable_switch_language', false );
}
add_action( 'display_productive_ecommerce_enable_switch_language', 'productive_ecommerce_enable_switch_language' );

/**
 * Method productive_ecommerce_product_page_custom_design.
 *
 * @param string $class ''.
 */
function productive_ecommerce_product_page_custom_design( $class = '' ) {
    return get_theme_mod( 'productive_ecommerce_product_page_custom_design', true );
}
add_action( 'display_productive_ecommerce_product_page_custom_design', 'productive_ecommerce_product_page_custom_design' );

/**
 * Method productive_ecommerce_enable_breadcrumb.
 *
 * @param string $class ''.
 */
function productive_ecommerce_enable_breadcrumb( $class = '' ) {
    $theme_mod_enabled = get_theme_mod( 'productive_ecommerce_enable_breadcrumb', true );
    if ( $theme_mod_enabled ) {
        echo '<div class="breadcrumb-container-standard ' . $class . '">';
           do_action( 'woocommerce_before_main_content', 'woocommerce_breadcrumb', 20, 0 );
        echo '</div>';
    }
}
add_action( 'display_productive_ecommerce_enable_breadcrumb', 'productive_ecommerce_enable_breadcrumb' );

/**
 * Method productive_ecommerce_get_enable_breadcrumb.
 *
 * @param string $class ''.
 */
function productive_ecommerce_get_enable_breadcrumb() {
    return get_theme_mod( 'productive_ecommerce_enable_breadcrumb', true );
}

/**
 * Method productive_ecommerce_enable_subcategories.
 *
 * @param string $class ''.
 */
function productive_ecommerce_enable_subcategories( $class = '' ) {
    return get_theme_mod( 'productive_ecommerce_enable_subcategories', true );
}
add_action( 'display_productive_ecommerce_enable_subcategories', 'productive_ecommerce_enable_subcategories' );

/**
 * Method productive_ecommerce_subcategories_items_per_row_to_display.
 *
 * @param string $class ''.
 */
function productive_ecommerce_subcategories_items_per_row_to_display( $class = '' ) {
    return get_theme_mod( 'productive_ecommerce_subcategories_items_per_row_to_display', 5 );
}
add_action( 'display_productive_ecommerce_subcategories_items_per_row_to_display', 'productive_ecommerce_subcategories_items_per_row_to_display' );




// START ============== Productive_Theme_Customiser_Layout CUSTOMISERS
/**
 * Method productive_ecommerce_layout_fullwidth.
 *
 * @param string $class ''.
 */
function productive_ecommerce_layout_fullwidth( $class = '' ) {
    return get_theme_mod( 'productive_ecommerce_layout_fullwidth', false );
}
add_action( 'display_productive_ecommerce_layout_fullwidth', 'productive_ecommerce_layout_fullwidth' );

/**
 * Method productive_ecommerce_template_layout_options.
 *
 * @param string $class ''.
 */
function productive_ecommerce_template_layout_options( $class = '' ) {
    return get_theme_mod( 'productive_ecommerce_template_layout_options', 'one_column' );
}
add_action( 'display_productive_ecommerce_template_layout_options', 'productive_ecommerce_template_layout_options' );

/**
 * Method productive_ecommerce_sidebar_left_header_text.
 *
 * @param string $class ''.
 */
function productive_ecommerce_sidebar_left_header_text( $class = '' ) {
    return get_theme_mod( 'productive_ecommerce_sidebar_left_header_text', esc_html__( 'Info', 'productive-ecommerce' ) );
}
add_action( 'display_productive_ecommerce_sidebar_left_header_text', 'productive_ecommerce_sidebar_left_header_text' );




// START ============== Productive_Theme_Customiser_Archive CUSTOMISERS
/**
 * Method productive_ecommerce_items_per_row_to_display.
 *
 * @param string $class ''.
 */
function productive_ecommerce_items_per_row_to_display( $class = '' ) {
    return get_theme_mod( 'productive_ecommerce_items_per_row_to_display', 4 );
}
add_action( 'display_productive_ecommerce_items_per_row_to_display', 'productive_ecommerce_items_per_row_to_display' );

/**
 * Method productive_ecommerce_posts_placeholder_image.
 *
 * @param string $class ''.
 */
function productive_ecommerce_posts_placeholder_image( $class = '' ) {
    return get_theme_mod( 'productive_ecommerce_posts_placeholder_image' );
}
add_action( 'display_productive_ecommerce_posts_placeholder_image', 'productive_ecommerce_posts_placeholder_image' );

/**
 * Method productive_ecommerce_homepage_blog_heading_style.
 *
 * @param string $class ''.
 */
function productive_ecommerce_homepage_blog_heading_style( $class = '' ) {
    $theme_mod_enabled = get_theme_mod( 'productive_ecommerce_homepage_blog_heading_style', false );
    return $theme_mod_enabled;
}
add_action( 'display_productive_ecommerce_homepage_blog_heading_style', 'productive_ecommerce_homepage_blog_heading_style' );

/**
 * Method productive_ecommerce_post_archive_banner_image.
 *
 * @param string $class ''.
 */
function productive_ecommerce_post_archive_banner_image( $class = '' ) {
    // image
    return get_theme_mod( 'productive_ecommerce_post_archive_banner_image' );
}
add_action( 'display_productive_ecommerce_post_archive_banner_image', 'productive_ecommerce_post_archive_banner_image' );

/**
 * Method productive_ecommerce_post_archive_title_color.
 *
 * @param string $class ''.
 */
function productive_ecommerce_post_archive_title_color( $class = '' ) {
    return get_theme_mod( 'productive_ecommerce_post_archive_title_color', '#ffffff' );
}
add_action( 'display_productive_ecommerce_post_archive_title_color', 'productive_ecommerce_post_archive_title_color' );




// START ============== Productive_Theme_Customiser_Social CUSTOMISERS
/**
 * Method productive_ecommerce_social_facebook.
 *
 * @param string $class ''.
 */
function productive_ecommerce_social_facebook( $class = '' ) {
    $theme_mod_value = get_theme_mod( 'productive_ecommerce_social_facebook', '' );
    if ( !empty($theme_mod_value) ) {
        echo '<a href="' . $theme_mod_value . '"><img src="' . PRODUCTIVE_ECOMMERCE_THEME_BASE_URI . '/assets/images/facebook.svg' . '" width="25px" height="25px" alt="" /></a>';
    }
}
add_action( 'display_productive_ecommerce_social_facebook', 'productive_ecommerce_social_facebook' );


/**
 * Method productive_ecommerce_social_youtube.
 *
 * @param string $class ''.
 */
function productive_ecommerce_social_youtube( $class = '' ) {
    $theme_mod_value = get_theme_mod( 'productive_ecommerce_social_youtube', '' );
    if ( !empty($theme_mod_value) ) {
        echo '<a href="' . $theme_mod_value . '"><img src="' . PRODUCTIVE_ECOMMERCE_THEME_BASE_URI . '/assets/images/youtube.svg' . '" width="25px" height="25px" alt="" /></a>';
    }
}
add_action( 'display_productive_ecommerce_social_youtube', 'productive_ecommerce_social_youtube' );


/**
 * Method productive_ecommerce_social_twitter.
 *
 * @param string $class ''.
 */
function productive_ecommerce_social_twitter( $class = '' ) {
    $theme_mod_value = get_theme_mod( 'productive_ecommerce_social_twitter', '' );
    if ( !empty($theme_mod_value) ) {
        echo '<a href="' . $theme_mod_value . '"><img src="' . PRODUCTIVE_ECOMMERCE_THEME_BASE_URI . '/assets/images/twitter.svg' . '" width="25px" height="25px" alt="" /></a>';
    }
}
add_action( 'display_productive_ecommerce_social_twitter', 'productive_ecommerce_social_twitter' );


/**
 * Method productive_ecommerce_social_pinterest.
 *
 * @param string $class ''.
 */
function productive_ecommerce_social_pinterest( $class = '' ) {
    $theme_mod_value = get_theme_mod( 'productive_ecommerce_social_pinterest', '' );
    if ( !empty($theme_mod_value) ) {
        echo '<a href="' . $theme_mod_value . '"><img src="' . PRODUCTIVE_ECOMMERCE_THEME_BASE_URI . '/assets/images/pinterest.svg' . '" width="25px" height="25px" alt="" /></a>';
    }
}
add_action( 'display_productive_ecommerce_social_pinterest', 'productive_ecommerce_social_pinterest' );


/**
 * Method productive_ecommerce_social_instagram.
 *
 * @param string $class ''.
 */
function productive_ecommerce_social_instagram( $class = '' ) {
    $theme_mod_value = get_theme_mod( 'productive_ecommerce_social_instagram', '' );
    if ( !empty($theme_mod_value) ) {
        echo '<a href="' . $theme_mod_value . '"><img src="' . PRODUCTIVE_ECOMMERCE_THEME_BASE_URI . '/assets/images/instagram.svg' . '" width="25px" height="25px" alt="" /></a>';
    }
}
add_action( 'display_productive_ecommerce_social_instagram', 'productive_ecommerce_social_instagram' );


/**
 * Method productive_ecommerce_social_media_block.
 *
 * @param string $class ''.
 */
function productive_ecommerce_social_media_block( $class = '' ) {
    $theme_mod_value_facebook = get_theme_mod( 'productive_ecommerce_social_facebook', '' );
    if ( !empty($theme_mod_value_facebook) ) {
        echo '<a href="' . $theme_mod_value_facebook . '">' . productive_ecommerce_get_social_icon('facebook') . '</a>';
    }
    $theme_mod_value_youtube = get_theme_mod( 'productive_ecommerce_social_youtube', '' );
    if ( !empty($theme_mod_value_youtube) ) {
        echo '<a href="' . $theme_mod_value_youtube . '">' . productive_ecommerce_get_social_icon('youtube') . '</a>';
    }
    $theme_mod_value_twitter = get_theme_mod( 'productive_ecommerce_social_twitter', '' );
    if ( !empty($theme_mod_value_twitter) ) {
        echo '<a href="' . $theme_mod_value_twitter . '">' . productive_ecommerce_get_social_icon('twitter') . '</a>';
    }
    $theme_mod_value_pinterest = get_theme_mod( 'productive_ecommerce_social_pinterest', '' );
    if ( !empty($theme_mod_value_pinterest) ) {
        echo '<a href="' . $theme_mod_value_pinterest . '">' . productive_ecommerce_get_social_icon('pinterest') . '</a>';
    }
    $theme_mod_value_instagram = get_theme_mod( 'productive_ecommerce_social_instagram', '' );
    if ( !empty($theme_mod_value_instagram) ) {
        echo '<a href="' . $theme_mod_value_instagram . '">' . productive_ecommerce_get_social_icon('instagram') . '</a>';
    }
}
add_action( 'display_productive_ecommerce_social_media_block', 'productive_ecommerce_social_media_block' );


/**
 * Method productive_ecommerce_post_social_icons_color.
 *
 * @param string $class ''.
 */
function productive_ecommerce_post_social_icons_color( $class = '' ) {
    return get_theme_mod( 'productive_ecommerce_post_social_icons_color', '' );
}
add_action( 'display_productive_ecommerce_post_social_icons_color', 'productive_ecommerce_post_social_icons_color' );


// START:: USE these formats for showing phone & email as part of social media icons
// This is in separate from the contact displays below
/**
 * Method productive_ecommerce_social_email.
 *
 * @param string $class ''.
 */
function productive_ecommerce_social_email( $class = '' ) {
    $theme_mod_value = get_theme_mod( 'productive_ecommerce_social_email', '' );
    if ( !empty($theme_mod_value) ) {
        echo '<a href="mailto:' . $theme_mod_value . '"><i class="material-symbols-outlined">mail</i> <span class="social-email">' . $theme_mod_value . '</span></a>';
    }
}
add_action( 'display_productive_ecommerce_social_email', 'productive_ecommerce_social_email' );

/**
 * Method productive_ecommerce_social_phone.
 *
 * @param string $class ''.
 */
function productive_ecommerce_social_phone( $class = '' ) {
    $theme_mod_value = get_theme_mod( 'productive_ecommerce_social_phone', '' );
    if ( !empty($theme_mod_value) ) {
        echo '<a href="tel:' . $theme_mod_value . '"><i class="material-symbols-outlined">call</i> <span class="social-phone">' . $theme_mod_value . '</span></a>';
    }
}
add_action( 'display_productive_ecommerce_social_phone', 'productive_ecommerce_social_phone' );

/**
 * Method productive_ecommerce_social_email_and_phone.
 *
 * @param string $class ''.
 */
function productive_ecommerce_social_email_and_phone( $class = '' ) {
    $theme_mod_value_email = get_theme_mod( 'productive_ecommerce_social_email', '' );
    if ( !empty($theme_mod_value_email) ) {
        echo '<a href="mailto:' . $theme_mod_value_email . '"><i class="material-symbols-outlined">mail</i> <span class="social-email">' . $theme_mod_value_email . '</span></a>';
    }
    $theme_mod_value_phone = get_theme_mod( 'productive_ecommerce_social_phone', '' );
    if ( !empty($theme_mod_value_phone) ) {
        echo '<a href="tel:' . $theme_mod_value_phone . '"><i class="material-symbols-outlined">call</i> <span class="social-phone">' . $theme_mod_value_phone . '</span></a>';
    }
}
add_action( 'display_productive_ecommerce_social_email_and_phone', 'productive_ecommerce_social_email_and_phone' );
// END:: USE these formats for showing phone & email as part of social media icons



// START ============== Productive_Theme_Customiser_Contact CUSTOMISERS
/**
 * Method productive_ecommerce_contact_intro_1.
 *
 * @param string $class ''.
 */
function productive_ecommerce_contact_intro_1( $class = '' ) {
    $theme_mod_value = get_theme_mod( 'productive_ecommerce_contact_intro_1', '' );
    if ( !empty($theme_mod_value) ) {
        echo esc_attr($theme_mod_value);
    }
}
add_action( 'display_productive_ecommerce_contact_intro_1', 'productive_ecommerce_contact_intro_1' );

/**
 * Method productive_ecommerce_contact_ask_for_visitor_phone.
 *
 * @param string $class ''.
 */
function productive_ecommerce_contact_ask_for_visitor_phone( $class = '' ) {
    return get_theme_mod( 'productive_ecommerce_contact_ask_for_visitor_phone', false );
}
add_action( 'display_productive_ecommerce_contact_ask_for_visitor_phone', 'productive_ecommerce_contact_ask_for_visitor_phone' );

/**
 * Method productive_ecommerce_contact_email.
 *
 * @param string $class ''.
 */
function productive_ecommerce_contact_email( $class = '' ) {
    $theme_mod_value = get_theme_mod( 'productive_ecommerce_contact_email', '' );
    if ( !empty($theme_mod_value) ) {
        echo '<span class="social-email icon"><i class="material-icons-round">mail</i></span>';
        echo '<span class="social-email title">EMAIL</span>';
        echo '<a href="mailto:' . $theme_mod_value . '"><span class="social-email">' . $theme_mod_value . '</span></a>';
    }
}
add_action( 'display_productive_ecommerce_contact_email', 'productive_ecommerce_contact_email' );

/**
 * Method productive_ecommerce_contact_phone.
 *
 * @param string $class ''.
 */
function productive_ecommerce_contact_phone( $class = '' ) {
    $theme_mod_value = get_theme_mod( 'productive_ecommerce_contact_phone', '' );
    if ( !empty($theme_mod_value) ) {
        echo '<span class="social-phone icon"><i class="material-icons-round">call</i></span>';
        echo '<span class="social-phone title">PHONE</span>';
        echo '<a href="tel:' . $theme_mod_value . '"><span class="social-phone">' . $theme_mod_value . '</span></a>';
    }
}
add_action( 'display_productive_ecommerce_contact_phone', 'productive_ecommerce_contact_phone' );

/**
 * Method productive_ecommerce_contact_email_and_phone.
 *
 * @param string $class ''.
 */
function productive_ecommerce_contact_email_and_phone( $class = '' ) {
    $theme_mod_value_email = get_theme_mod( 'productive_ecommerce_contact_email', '' );
    if ( !empty($theme_mod_value_email) ) {        
        echo '<span class="social-email icon"><i class="material-icons-round">mail</i></span>';
        echo '<span class="social-email title">EMAIL</span>';
        echo '<a href="mailto:' . $theme_mod_value_email . '"><span class="social-email">' . $theme_mod_value_email . '</span></a>';
    }
    $theme_mod_value_phone = get_theme_mod( 'productive_ecommerce_contact_phone', '' );
    if ( !empty($theme_mod_value_phone) ) {        
        echo '<span class="social-phone icon"><i class="material-icons-round">call</i></span>';
        echo '<span class="social-phone title">PHONE</span>';
        echo '<a href="tel:' . $theme_mod_value_phone . '"><span class="social-phone">' . $theme_mod_value_phone . '</span></a>';
    }
}
add_action( 'display_productive_ecommerce_contact_email_and_phone', 'productive_ecommerce_contact_email_and_phone' );

/**
 * Method productive_ecommerce_contact_full_address_per_line.
 *
 * @param string $class ''.
 */
function productive_ecommerce_contact_full_address_per_line( $class = '' ) {
    $theme_mod_value_address = get_theme_mod( 'productive_ecommerce_contact_address', '' );
    $theme_mod_value_country = get_theme_mod( 'productive_ecommerce_contact_country', '' );
    $theme_mod_value_postcode = get_theme_mod( 'productive_ecommerce_contact_postcode', '' );
    
    if ( !empty($theme_mod_value_address) || !empty($theme_mod_value_country) || !empty($theme_mod_value_postcode) ) {
        echo '<span class="social-address icon"><i class="material-icons-round">my_location</i></span>';
        echo '<span class="social-address title">WHERE WE ARE</span>';
    }
    if ( !empty($theme_mod_value_address) ) {
        echo '<div>' . $theme_mod_value_address . '</div>';
    }
    if ( !empty($theme_mod_value_country) ) {
        echo '<div>' . $theme_mod_value_country . '</div>';
    }
    if ( !empty($theme_mod_value_postcode) ) {
        echo '<div>' . $theme_mod_value_postcode . '</div>';
    }
}
add_action( 'display_productive_ecommerce_contact_full_address_per_line', 'productive_ecommerce_contact_full_address_per_line' );

/**
 * Method productive_ecommerce_contact_full_address_all_in_one_line.
 *
 * @param string $class ''.
 */
function productive_ecommerce_contact_full_address_all_in_one_line( $class = '' ) {
    $theme_mod_value_address_in_one_line = '';
    $theme_mod_value_address = get_theme_mod( 'productive_ecommerce_contact_address', '' );
    if ( !empty($theme_mod_value_address) ) {
        $theme_mod_value_address_in_one_line .= $theme_mod_value_address . ', ';
    }
    
    $theme_mod_value_country = get_theme_mod( 'productive_ecommerce_contact_country', '' );
    if ( !empty($theme_mod_value_country) ) {
        $theme_mod_value_address_in_one_line .= $theme_mod_value_country . ', ';
    }
    
    $theme_mod_value_postcode = get_theme_mod( 'productive_ecommerce_contact_postcode', '' );
    if ( !empty($theme_mod_value_postcode) ) {
        $theme_mod_value_address_in_one_line .= $theme_mod_value_postcode;
    }
    
    if ( !empty($theme_mod_value_address_in_one_line) ) {
        echo '<span class="social-address icon"><i class="material-icons-round">my_location</i></span>';
        echo '<span class="social-address title">WHERE WE ARE</span>';
        echo '<span>' . $theme_mod_value_address_in_one_line . '</span>';
    }
}
add_action( 'display_productive_ecommerce_contact_full_address_all_in_one_line', 'productive_ecommerce_contact_full_address_all_in_one_line' );

/**
 * Method productive_ecommerce_contact_ask_show_google_map.
 *
 * @param string $class ''.
 */
function productive_ecommerce_contact_ask_show_google_map( $class = '' ) {
    return get_theme_mod( 'productive_ecommerce_contact_ask_show_google_map', false );
}
add_action( 'display_productive_ecommerce_contact_ask_show_google_map', 'productive_ecommerce_contact_ask_show_google_map' );

/**
 * Method get_productive_ecommerce_contact_the_google_map.
 *
 * @param string $class ''.
 */
function get_productive_ecommerce_contact_the_google_map( $class = '' ) {
    $theme_mod_value = productive_ecommerce_contact_ask_show_google_map();
    if ( $theme_mod_value ) {
        // display Googl Map
    }
}
add_action( 'display_get_productive_ecommerce_contact_the_google_map', 'get_productive_ecommerce_contact_the_google_map' );

/**
 * Method productive_ecommerce_contact_recaptcha_key.
 *
 * @param string $class ''.
 */
function productive_ecommerce_contact_recaptcha_key( $class = '' ) {
    return get_theme_mod( 'productive_ecommerce_contact_recaptcha_key', '' );
}
/**
 * Method productive_ecommerce_contact_recaptcha_secret.
 *
 * @param string $class ''.
 */
function productive_ecommerce_contact_recaptcha_secret( $class = '' ) {
    return get_theme_mod( 'productive_ecommerce_contact_recaptcha_secret', '' );
}
// END ============== Productive_Theme_Customiser_Contact CUSTOMISERS




// START ============== Productive_Theme_Customiser_Countdown CUSTOMISERS
/**
 * Method productive_ecommerce_countdown_switch_on.
 *
 * @param string $class ''.
 */
function productive_ecommerce_countdown_switch_on( $class = '' ) {
    return get_theme_mod( 'productive_ecommerce_countdown_switch_on', true );
}
add_action( 'display_productive_ecommerce_countdown_switch_on', 'productive_ecommerce_countdown_switch_on' );

/**
 * Method productive_ecommerce_countdown_text_1.
 *
 * @param string $class ''.
 */
function productive_ecommerce_countdown_text_1( $class = '' ) {
    return get_theme_mod( 'productive_ecommerce_countdown_text_1', '' );
}

/**
 * Method productive_ecommerce_countdown_end_date.
 *
 * @param string $class ''.
 */
function productive_ecommerce_countdown_end_date( $class = '' ) {
    return get_theme_mod( 'productive_ecommerce_countdown_end_date', '' );
}

/**
 * Method productive_ecommerce_countdown_end_time.
 *
 * @param string $class ''.
 */
function productive_ecommerce_countdown_end_time( $class = '' ) {
    return get_theme_mod( 'productive_ecommerce_countdown_end_time', '' );
}

/**
 * Method productive_ecommerce_countdown_boxes_bg_color.
 *
 * @param string $class ''.
 */
function productive_ecommerce_countdown_boxes_bg_color( $class = '' ) {
    return get_theme_mod( 'productive_ecommerce_countdown_boxes_bg_color', '#000000' );
}

/**
 * Method productive_ecommerce_countdown_cta_text.
 *
 * @param string $class ''.
 */
function productive_ecommerce_countdown_cta_text( $class = '' ) {
    $theme_mod_value = get_theme_mod( 'productive_ecommerce_countdown_cta_text', '' );
    $cta_url = productive_ecommerce_countdown_cta_url();
    if ( !empty( $theme_mod_value ) && !empty( $cta_url ) ) {
        echo '<a class="' . $class. '" href="'. $cta_url .'">' .
            wp_specialchars_decode(stripslashes($theme_mod_value) ) .
            '</a>';
    }
}
add_action( 'display_productive_ecommerce_countdown_cta_text', 'productive_ecommerce_countdown_cta_text' );

/**
 * Method productive_ecommerce_countdown_cta_url.
 *
 * @param string $class ''.
 */
function productive_ecommerce_countdown_cta_url( $class = '' ) {
    // text html
    $theme_mod_value = get_theme_mod( 'productive_ecommerce_countdown_cta_url', '' );
    return wp_specialchars_decode( esc_url( $theme_mod_value ) );
} 
add_action( 'display_productive_ecommerce_countdown_cta_url', 'productive_ecommerce_countdown_cta_url' );

/**
 * Method productive_ecommerce_countdown_cta_text_color.
 *
 * @param string $class ''.
 */
function productive_ecommerce_countdown_cta_text_color( $class = '' ) {
    return get_theme_mod( 'productive_ecommerce_countdown_cta_text_color', '#ffffff' );
}

/**
 * Method productive_ecommerce_countdown_cta_bg_color.
 *
 * @param string $class ''.
 */
function productive_ecommerce_countdown_cta_bg_color( $class = '' ) {
    return get_theme_mod( 'productive_ecommerce_countdown_cta_bg_color', '#cc3333' );
}

/**
 * Method productive_ecommerce_countdown_sticky.
 *
 * @param string $class ''.
 */
function productive_ecommerce_countdown_sticky( $class = '' ) {
    return get_theme_mod( 'productive_ecommerce_countdown_sticky', false );
}
add_action( 'display_productive_ecommerce_countdown_sticky', 'productive_ecommerce_countdown_sticky' );

/**
 * Method productive_ecommerce_countdown_banner_bg_pattern.
 *
 * @param string $class ''.
 */
function productive_ecommerce_countdown_banner_bg_pattern( $class = '' ) {
    return get_theme_mod( 'productive_ecommerce_countdown_banner_bg_pattern', 'select_an_option' );
}
add_action( 'display_productive_ecommerce_countdown_banner_bg_pattern', 'productive_ecommerce_countdown_banner_bg_pattern' );

/**
 * Method productive_ecommerce_countdown_banner_bg_color.
 *
 * @param string $class ''.
 */
function productive_ecommerce_countdown_banner_bg_color( $class = '' ) {
    return get_theme_mod( 'productive_ecommerce_countdown_banner_bg_color', '#0066cc' );
}
// END ============== Productive_Theme_Customiser_Countdown CUSTOMISERS




// START ============== Productive_Theme_Customiser_Footer CUSTOMISERS

/**
 * Method productive_ecommerce_enable_footer_sitelogo.
 *
 * @param string $class ''.
 */
function productive_ecommerce_enable_footer_sitelogo( $class = '' ) {
    $theme_mod_enabled = get_theme_mod( 'productive_ecommerce_enable_footer_sitelogo', true );
    if ( $theme_mod_enabled ) {
        echo '<div class="footer-about-site-name ' . $class . '">' .
        get_custom_logo() .
            '</div>';
    }
}
add_action( 'display_productive_ecommerce_enable_footer_sitelogo', 'productive_ecommerce_enable_footer_sitelogo' );


/**
 * Method productive_ecommerce_enable_footer_sitename.
 *
 * @param string $class ''.
 */
function productive_ecommerce_enable_footer_sitename( $class = '' ) {
    $theme_mod_enabled = get_theme_mod( 'productive_ecommerce_enable_footer_sitename', true );
    if ( $theme_mod_enabled ) {
        echo '<div class="footer-about-site-name ' . $class . '">' .
                '<span class="footer-about-site-name-text">' . get_bloginfo( 'name' ) . '</span>' .
                '<span class="footer-about-site-desc-text">' . get_bloginfo( 'description' ) . '</span>' .
            '</div>';
    }
}
add_action( 'display_productive_ecommerce_enable_footer_sitename', 'productive_ecommerce_enable_footer_sitename' );


/**
 * Method productive_ecommerce_enable_footer_site_logo_and_name.
 *
 * @param string $class ''.
 */
function productive_ecommerce_enable_footer_site_logo_and_name( $class = '' ) {
    $theme_mod_enabled_logo = get_theme_mod( 'productive_ecommerce_enable_footer_sitelogo', true );
    if ( $theme_mod_enabled_logo ) {
        echo '<div class="footer-about-site-name ' . $class . '">' .
        get_custom_logo() .
            '</div>';
    }
    
   $theme_mod_enabled = get_theme_mod( 'productive_ecommerce_enable_footer_sitename', true );
    if ( $theme_mod_enabled ) {
        echo '<div class="footer-about-site-name ' . $class . '">' .
                '<span class="footer-about-site-name-text">' . get_bloginfo( 'name' ) . '</span>' .
                '<span class="footer-about-site-desc-text">' . get_bloginfo( 'description' ) . '</span>' .
            '</div>';
    }
}
add_action( 'display_productive_ecommerce_enable_footer_site_logo_and_name', 'productive_ecommerce_enable_footer_site_logo_and_name' );


/**
 * Method productive_ecommerce_enable_footer_copyright.
 *
 * @param string $class ''.
 */
function productive_ecommerce_enable_footer_copyright( $class = '' ) {
    $theme_mod_enabled = get_theme_mod( 'productive_ecommerce_enable_footer_copyright', true );
    if ( (PRODUCTIVE_ECOMMERCE_PRODUCT_DOWNLOAD_TYPE == 'product' && $theme_mod_enabled) || PRODUCTIVE_ECOMMERCE_PRODUCT_DOWNLOAD_TYPE != 'product' ) {
        echo '<div class="site-container-copyright">
                <div class="copyright">' .
                    wp_specialchars_decode( stripslashes(productive_ecommerce_footer_copyright_textarea()) ).
                '</div>
            </div>';
    }
}
add_action( 'display_productive_ecommerce_enable_footer_copyright', 'productive_ecommerce_enable_footer_copyright' );

/**
 * Method productive_ecommerce_footer_copyright_textarea.
 *
 * @param string $class ''.
 */
function productive_ecommerce_footer_copyright_textarea( $class = '' ) {
    $footer_copyright_copy = esc_html( 'A WordPress theme by ', 'productive-ecommerce' ).'<a target="_blank" href="' . esc_url( PRODUCTIVE_ECOMMERCE_THEME_DEVELOPER_WEBSITE ) . '">productiveminds.com</a>';
    if ( PRODUCTIVE_ECOMMERCE_PRODUCT_DOWNLOAD_TYPE == 'product' ) {
        $footer_copyright = get_theme_mod( 'productive_ecommerce_footer_copyright_textarea', $footer_copyright_copy );
        return $footer_copyright;
    } else {
        return $footer_copyright_copy;
    }
}
add_action( 'display_productive_ecommerce_footer_copyright_textarea', 'productive_ecommerce_footer_copyright_textarea' );

/**
 * Method productive_ecommerce_footer_style.
 *
 * @param string $class ''.
 */
function productive_ecommerce_footer_style( $class = '' ) {
    $default_value = PRODUCTIVE_ECOMMERCE_CURRENT_THEME_TEXT_DOMAIN;
    $theme_mod_value = get_theme_mod( 'productive_ecommerce_footer_style', PRODUCTIVE_ECOMMERCE_CURRENT_THEME_TEXT_DOMAIN );
    if ( !$theme_mod_value ) {
        // 
    } else {
        $default_value = $theme_mod_value;
    }
    return $default_value;
}
add_action( 'display_productive_ecommerce_footer_style', 'productive_ecommerce_footer_style' );