<?php
/**
 * Theme TGM Implementation
 *
 * @package productive-ecommerce
 */

require_once PRODUCTIVE_ECOMMERCE_THEME_BASE_PATH . '/libraries/tgm/class-tgm-plugin-activation.php';

/**
 * Method productive_ecommerce_tgm
 */
function productive_ecommerce_tgm() {
    
    $productive_ecommerce_recommended_plugins_page_title = __( 'Recommended Plugins For Best Experience With ', 'productive-ecommerce' ) . PRODUCTIVE_ECOMMERCE_CURRENT_THEME_NAME;
    $productive_ecommerce_recommended_plugins_menu_title = __( 'Recommended Plugins', 'productive-ecommerce' );
    
    /*
     * Array of configuration settings. Amend each line as needed.
     *
     * TGMPA will start providing localized text strings soon. If you already have translations of our standard
     * strings available, please help us make TGMPA even better by giving us access to these translations or by
     * sending in a pull-request with .po file(s) with the translations.
     *
     * Only uncomment the strings in the config array if you want to customize the strings.
     */
    $config = array(
        'id'           => 'tgmpa',                 // Unique ID for hashing notices for multiple instances of TGMPA.
        'default_path' => '',                      // Default absolute path to bundled plugins.
        'menu'         => 'tgmpa-install-plugins', // Menu slug.
        'parent_slug'  => 'themes.php',            // Parent menu slug.
        'capability'   => 'edit_theme_options',    // Capability needed to view plugin install page, should be a capability associated with the parent menu used.
        'has_notices'  => true,                    // Show admin notices or not.
        'dismissable'  => true,                    // If false, a user cannot dismiss the nag message.
        'dismiss_msg'  => '',                      // If 'dismissable' is false, this message will be output at top of nag.
        'is_automatic' => false,                   // Automatically activate plugins after installation or not.
        'message'      => '',                      // Message to output right before the plugins table.

        'strings'      => array(
                'page_title'                      => $productive_ecommerce_recommended_plugins_page_title,
                'menu_title'                      => $productive_ecommerce_recommended_plugins_menu_title,
                // <snip>...</snip>
                'nag_type'                        => 'updated', // Determines admin notice type - can only be 'updated', 'update-nag' or 'error'.
        )
    );

    /*
     * Array of plugin arrays. Required keys are name and slug.
     * If the source is NOT from the .org repo, then source is also required.
     */
    $plugins = array(

        // This is an example of how to include a plugin from the WordPress Plugin Repository.
        array(
                'name'      => 'Productive Demo Importer',
                'slug'      => 'productive-demo-importer',
                'required'  => false,
        ),
        // This is an example of how to include a plugin from the WordPress Plugin Repository.
        array(
                'name'      => 'WordPress Importer',
                'slug'      => 'wordpress-importer',
                'required'  => false,
        ),
    );

    tgmpa( $plugins, $config );
}
add_action( 'tgmpa_register', 'productive_ecommerce_tgm' );
